Bug 601891 - RFE: Enable a python26-numpy package in EPEL5.
Summary: RFE: Enable a python26-numpy package in EPEL5.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: numpy
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 574531
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-08 20:07 UTC by Steve Traylen
Modified: 2010-12-22 06:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-22 06:19:01 UTC
Type: ---


Attachments (Terms of Use)
Patch EPEL5 numpy.spec to add python26 support as well. (5.42 KB, patch)
2010-06-08 20:07 UTC, Steve Traylen
no flags Details | Diff
Byte compiles with path option. (490 bytes, text/plain)
2010-06-08 20:11 UTC, Steve Traylen
no flags Details
python26-numpy package for EPEL5. (9.17 KB, text/plain)
2010-06-23 23:39 UTC, Steve Traylen
no flags Details

Description Steve Traylen 2010-06-08 20:07:55 UTC
Created attachment 422338 [details]
Patch EPEL5 numpy.spec to add python26 support as well.

Hi,

 Here is  a patch to the current EPEL5 .spec file to build a 
 python26-numpy package as well from the same .spec file.

 Of course it may easier to do a completely separate an up to
 date numpy.

  Steve.

 In fact although the package builds fine there are is an ERROR and
 FAIL from the python26 version of numpy but I think its good to record
 the intention here.

 ERROR: Tests the min/max functions with explicit outputs
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/var/tmp/numpy-1.2.1-3.el5-root-steve/usr/lib64/python2.6/site-packages/numpy/ma/tests/test_core.py", line 699, in test_minmax_funcs_with_output
    result = npfunc(xm,axis=0,out=nout)
  File "/var/tmp/numpy-1.2.1-3.el5-root-steve/usr/lib64/python2.6/site-packages/numpy/core/fromnumeric.py", line 1569, in amin
    return amin(axis, out)
  File "/var/tmp/numpy-1.2.1-3.el5-root-steve/usr/lib64/python2.6/site-packages/numpy/ma/core.py", line 3119, in min
    np.putmask(out, newmask, np.nan)
ValueError: cannot convert float NaN to integer

======================================================================
FAIL: test_umath.TestComplexFunctions.test_against_cmath
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/nose/case.py", line 183, in runTest
    self.test(*self.arg)
  File "/var/tmp/numpy-1.2.1-3.el5-root-steve/usr/lib64/python2.6/site-packages/numpy/core/tests/test_umath.py", line 268, in test_against_cmath
    assert abs(a - b) < atol, "%s %s: %s; cmath: %s"%(fname,p,a,b)
AssertionError: arcsin 2: (1.57079632679-1.31695789692j); cmath: (1.57079632679+1.31695789692j)

Comment 1 Steve Traylen 2010-06-08 20:11:01 UTC
Created attachment 422339 [details]
Byte compiles with path option.

This is simple script that makes the byte compiling a little
more flexible to cope with this dual python. It's needed by the patched
.spec file.

Comment 2 Steve Traylen 2010-06-23 23:39:36 UTC
Created attachment 426411 [details]
python26-numpy package for EPEL5.


I think this is better solution.

This is a python26-numpy.spec file that builds  only a 
python26 variant of numpy version 1.4.1.

It's largely based  on the F14 one again.

I'll probably submit this as a new package soonish but you may have comment.

The tests all pass fine now with this.

I'm fairly confident that this will not interfere with the existing 
numpy in EPEL5 and I realise that is most important.

Steve.

Comment 3 Steve Traylen 2010-06-23 23:46:58 UTC
Sorry on the next one I won't include:

/usr/include/numpy -> /usr/lib64/python2.6/site-packages/numpy/core/include/numpy/

but 

/usr/include/numpy26 -> /usr/lib64/python2.6/site-packages/numpy/core/include/numpy/

Comment 4 Gwyn Ciesla 2010-06-29 14:06:39 UTC
I agree, I think that would be better, but I think it might be best to provide the same version of numpy for the two python versions.  If you submit a review and want to maintain it, that's fine, otherwise I can submit and maintain, if you want to do the review.  Your call.

Comment 5 Steve Traylen 2010-06-29 14:18:57 UTC
I'd prefer the new version, apart from anything else it does not just work
with the python2.4 version, see comment #1.

Given we have a super new python 2.6 we may as well take new stuff where
possible given there is no interaction between the two things. I realize
this is newer than rawhide. And we will be stuck with this version 
for a few years I guess.

I'll submit the package shortly with this bug blocking on it. Of course
subsequent co-ownership makes sense if you want to ask.

Steve.

Comment 6 Konstantin Tokarev 2010-11-13 10:28:28 UTC
Thank you Steve, your spec builds fine. But I'd like to have an option to prune lapack and Fortran dependencies using build options

Comment 7 Steve Traylen 2010-12-22 06:19:01 UTC
I'll close this bug since this was an RFE to create
a python26-numpy package based on the existing EPEL5 version
of numpy. 

This is now obsoleted by the ongoing
package review of python26-numpy in bug #619355.


Note You need to log in before you can comment on or make changes to this bug.